Bug 212142 - devel/magit: Update to 2.8.0
Summary: devel/magit: Update to 2.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Torsten Zuehlsdorff
URL:
Keywords: easy, needs-qa
Depends on:
Blocks:
 
Reported: 2016-08-25 12:57 UTC by Yasuhiro KIMURA
Modified: 2016-11-04 15:19 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (kuriyama)
yasu: maintainer-feedback+


Attachments
update to 2.8.0 (805 bytes, patch)
2016-08-25 12:57 UTC, Yasuhiro KIMURA
koobs: maintainer-approval+
Details | Diff
poudriere build log (46.74 KB, text/plain)
2016-10-13 11:33 UTC, Yasuhiro KIMURA
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2016-08-25 12:57:32 UTC
Created attachment 174055 [details]
update to 2.8.0
Comment 1 Yasuhiro KIMURA 2016-09-29 13:36:38 UTC
Hello.

Would you please commit this PR?

Best Regards.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2016-10-13 08:47:51 UTC
Maintainer timeout (5+ weeks), reset assignee. Open to take

@Yasuhiro Can you confirm this change passes QA (portlint, poudriere) please
Comment 3 Yasuhiro KIMURA 2016-10-13 11:33:39 UTC
Created attachment 175698 [details]
poudriere build log
Comment 4 Yasuhiro KIMURA 2016-10-13 11:35:03 UTC
(In reply to Kubilay Kocak from comment #2)

Build log of poudriere is attached.

Result of 'portlint -A' is as following:

yasu@rolling-vm-freebsd1[2009]% portlint -A
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 1 warning found.
yasu@rolling-vm-freebsd1[2010]%
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2016-10-16 11:48:30 UTC
Comment on attachment 174055 [details]
update to 2.8.0

Maintainer timeout (5+ weeks), implicit approval
Comment 6 Yasuhiro KIMURA 2016-10-20 10:09:34 UTC
@tz

Would you please commit this PR?

Best Regards.
Comment 7 Torsten Zuehlsdorff freebsd_committer 2016-10-20 13:13:33 UTC
I'm fine with your patch. But since i'm new to the committer-team i need approval of my mentors for every commit. I already requested the approval :)
Comment 8 commit-hook freebsd_committer 2016-11-04 15:18:59 UTC
A commit references this bug:

Author: tz
Date: Fri Nov  4 15:18:33 UTC 2016
New revision: 425332
URL: https://svnweb.freebsd.org/changeset/ports/425332

Log:
  devel/magit: Update from 2.7.0 to 2.8.0

  Changes: https://emacsair.me/2016/08/21/magit-2.8/

  PR:          212142
  Submitter:   Yasuhiro KIMURA <yasu@utahime.org>
  Approved by: pi (mentor)

Changes:
  head/devel/magit/Makefile
  head/devel/magit/distinfo
Comment 9 Torsten Zuehlsdorff freebsd_committer 2016-11-04 15:19:48 UTC
I'm sorry it took so long. Its committed now! Thank you very much for your patch and your patience!